- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CVobSubFile Class Reference

Inheritance diagram for CVobSubFile:

List of all members.

## Public Types
enum | SubFormat
## Public Member Functions
| CVobSubFile (CCritSec *pLock)
virtual | ~CVobSubFile ()
bool | Copy (CVobSubFile &vsf)
bool | Open (CString fn)
bool | Save (CString fn, SubFormat sf=VobSub)
void | Close ()
CString | GetTitle ()
DECLARE_IUNKNOWN STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
STDMETHODIMP | Render (SubPicDesc &spd, REFERENCE_TIME rt, double fps, RECT &bbox)
STDMETHODIMP | GetClassID (CLSID *pClassID)
STDMETHODIMP | GetStreamInfo (int i, WCHAR **ppName, LCID *pLCID)
STDMETHODIMP | SetStream (int iStream)
STDMETHODIMP | Reload ()
## Public Attributes
int | m_iLang
SubLang | m_langs [32]
double | fps
## Protected Member Functions
void | TrimExtension (CString &fn)
bool | ReadIdx (CString fn, int &ver)
bool | ReadSub (CString fn)
bool | ReadRar (CString fn)
bool | ReadIfo (CString fn)
bool | WriteIdx (CString fn)
bool | WriteSub (CString fn)
BYTE * | GetPacket (int idx, int &packetsize, int &datasize, int iLang=-1)
bool | GetFrame (int idx, int iLang=-1)
bool | GetFrameByTimeStamp (__int64 time)
int | GetFrameIdxByTimeStamp (__int64 time)
bool | SaveVobSub (CString fn)
bool | SaveWinSubMux (CString fn)
bool | SaveScenarist (CString fn)
bool | SaveMaestro (CString fn)
## Protected Attributes
CString | m_title
CMemFile | m_sub
## Classes
struct | SubLang
struct | SubPos

## Detailed Description

Definition at line 68 of file VobSubFile.h.

## Member Function Documentation

BYTE * CVobSubFile::GetPacket | ( | int | idx,
|  | int & | packetsize,
|  | int & | datasize,
|  | int | iLang = `-1`
| ) | `[protected]`

| (buff[0x15] & 0x80) && Definition at line 1012 of file VobSubFile.cpp. Referenced by Open().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/subtitles/VobSubFile.h
- C:/guliverkli/src/subtitles/VobSubFile.cpp